Read custom property limits
curl --request GET \
--url https://api.hubapi.com/crm/limits/2026-03/custom-properties \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/crm/limits/2026-03/custom-properties"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/crm/limits/2026-03/custom-properties', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"byObjectType": [
{
"limit": 123,
"objectTypeId": "<string>",
"percentage": 123,
"pluralLabel": "<string>",
"singularLabel": "<string>",
"usage": 123
}
],
"overallLimit": 123,
"overallPercentage": 123,
"overallUsage": 123
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Limits Tracking
Read custom property limits
Returns limits and usage per object for custom properties
GET
/
crm
/
limits
/
2026-03
/
custom-properties
Read custom property limits
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
Response
successful operation
Show child attributes
Show child attributes
The total limit for custom properties across all objects.
The percentage of the overall custom property limit that has been used.
The total number of custom properties currently in use across all objects.
Last modified on March 31, 2026
Was this page helpful?
⌘I